OPENSSL-DHPARAM(1SSL)

NOM
openssl-dhparam - Manipulation et génération de paramètres DH

SYNOPSIS
openssl dhparam [-help] [-inform DER|PEM] [-outform DER|PEM] [-in filename] [-out filename] [-dsaparam] [-check] [-noout] [-text] [-verbose] [-quiet] [-2] [-3] [-5] [-engine id] [-rand files] [-writerand file] [-provider name] [-provider-path path] [-provparam [name:]key=value] [-propquery propq] [numbits]

DESCRIPTION
Cette commande sert à manipuler des fichiers de paramètres DH.

See "EXAMPLES" in openssl-genpkey(1) for examples on how to generate a key using a named safe prime group without generating intermediate parameters.

OPTIONS

-help
    Afficher un message d'utilisation.

-inform DER|PEM, -outform DER|PEM
    The input format and output format; the default is PEM. The object is compatible with the PKCS#3 DHparameter structure. See openssl-format-options(1) for details.

-in fichier
    This specifies the input file to read parameters from or standard input if this option is not specified.

-out filename
    This specifies the output file to write parameters to. Standard output is used if this option is not present. The output filename can be the same as the input filename, which leads to replacing the file contents. Note that file I/O is not atomic. The output file is truncated and then written.

-dsaparam
    If this option is used, DSA rather than DH parameters are read or created; they are converted to DH format. Otherwise, safe primes (such that (p-1)/2 is also prime) will be used for DH parameter generation.

    DH parameter generation with the -dsaparam option is much faster. Beware that with such DSA-style DH parameters, a fresh DH key should be created for each use to avoid small-subgroup attacks that may be possible otherwise.

-check
    Performs numerous checks to see if the supplied parameters are valid and displays a warning if not.

-2, -3, -5
    The generator to use, either 2, 3 or 5. If present then the input file is ignored and parameters are generated instead. If not present but numbits is present, parameters are generated with the default generator 2.

nombrebits
    This option specifies that a parameter set should be generated of size numbits. It must be the last option. If this option is present then the input file is ignored and parameters are generated instead. If this option is not present but a generator (-2, -3 or -5) is present, parameters are generated with a default length of 2048 bits. The minimum length is 512 bits. The maximum length is 10000 bits.

-noout
    Cette option empêche la sortie des paramètres en version encodée.

-text
    Cette option affiche les paramètres DH sous forme lisible.

-engine id
    Voir « Options de moteur » dans openssl(1). Cette option est obsolète.

-rand fichiers, -writerand fichier
    Voir « Options d'état aléatoire » dans openssl(1) pour des détails.

-provider nom
-provider-path chemin
-provparam [nom:]clé=valeur]
-propquery propq
    Voir « Options de fournisseur » dans openssl(1), provider(7) et property(7).

-verbose
    This option enables the output of progress messages, which is handy when running commands interactively that may take a long time to execute.

-quiet
    This option suppresses the output of progress messages, which may be undesirable in batch scripts or pipelines.

NOTES
This command replaces the dh and gendh commands of previous releases.

VOIR AUSSI
openssl(1), openssl-pkeyparam(1), openssl-dsaparam(1), openssl-genpkey(1).

HISTORIQUE
L’option -engine est obsolète depuis OpenSSL 3.0.

Ces fonctions ont été ajoutées dans OpenSSL 3.0.

COPYRIGHT
Copyright 2000-2023 Les auteurs du projet OpenSSL. Tous droits réservés.

Sous licence Apache 2.0 (la « Licence »). Vous ne pouvez utiliser ce fichier que conformément à la Licence. Vous trouverez une copie dans le fichier LICENSE de la distribution du source ou à l'adresse <https://www.openssl.org/source/license.html>.

TRADUCTION
La traduction française de cette page de manuel a été créée par arne, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.